%define module	lesscpy

Name:		python-%{module}
Version:	0.10.2
Release:	%mkrel 1
Summary:        Lesscss compiler
Group:		Development/Python
License:	MIT
URL:		https://github.com/robotis/lesscpy
Source0:	https://github.com/lesscpy/lesscpy/archive/%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(ply)
BuildRequires:	pythonegg(2)(nose)
BuildRequires:	pythonegg(2)(coverage)
BuildRequires:	pythonegg(2)(flake8)

%description
A compiler written in python 2 for the lesscss language. For those of us not
willing/able to have node.js installed in our environment. Not all features
of lesscss are supported (yet). Some features wil probably never be
supported (JavaScript evaluation).

%package -n	python3-%{module}
Summary:	Lesscss compiler
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(ply)
BuildRequires:	pythonegg(3)(nose)
BuildRequires:	pythonegg(2)(coverage)
BuildRequires:	pythonegg(3)(flake8)

%description -n	python3-%{module}
A compiler written in python 3 for the lesscss language. For those of us not
willing/able to have node.js installed in our environment. Not all features
of lesscss are supported (yet). Some features wil probably never be
supported (JavaScript evaluation).

%prep
%setup -q -n %{module}-%{version}

cp -a . %{py3dir}

#fix utf8 encoding issue occurring only under python3
pushd %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'
popd

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/lesscpy %{buildroot}%{_bindir}/python3-lesscpy
popd

%py2_install

%files
%doc LICENSE README.rst
%{_bindir}/lesscpy
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc LICENSE README.rst
%{_bindir}/python3-lesscpy
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Oct 15 2016 daviddavid <daviddavid> 0.10.2-1.mga6
+ Revision: 1060965
- imported package python-lesscpy

